Bug 964004 - [abrt] NetworkManager-0.9.6.4-3.fc17: nm_ap_utils_level_to_quality: Process /usr/sbin/NetworkManager was killed by signal 6 (SIGABRT)
[abrt] NetworkManager-0.9.6.4-3.fc17: nm_ap_utils_level_to_quality: Process /...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
abrt_hash:f30d75cedc8ef1894a838605532...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 22:52 EDT by vagner
Modified: 2013-07-22 15:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 15:41:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.00 KB, text/plain)
2013-05-16 22:52 EDT, vagner
no flags Details
File: cgroup (174 bytes, text/plain)
2013-05-16 22:52 EDT, vagner
no flags Details
File: dso_list (3.25 KB, text/plain)
2013-05-16 22:52 EDT, vagner
no flags Details
File: environ (150 bytes, text/plain)
2013-05-16 22:52 EDT, vagner
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-16 22:53 EDT, vagner
no flags Details
File: maps (9.77 KB, text/plain)
2013-05-16 22:53 EDT, vagner
no flags Details
File: open_fds (2.79 KB, text/plain)
2013-05-16 22:53 EDT, vagner
no flags Details
File: proc_pid_status (758 bytes, text/plain)
2013-05-16 22:53 EDT, vagner
no flags Details
File: smolt_data (2.81 KB, text/plain)
2013-05-16 22:53 EDT, vagner
no flags Details
File: var_log_messages (10.11 KB, text/plain)
2013-05-16 22:53 EDT, vagner
no flags Details

  None (edit)
Description vagner 2013-05-16 22:52:44 EDT
Version-Release number of selected component:
NetworkManager-0.9.6.4-3.fc17

Additional info:
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
core_backtrace: 
crash_function: nm_ap_utils_level_to_quality
executable:     /usr/sbin/NetworkManager
kernel:         3.8.4-102.fc17.i686
uid:            0
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 nm_ap_utils_level_to_quality at nm-wifi-ap-utils.c:723
 #6 foreach_property_cb at nm-wifi-ap.c:486
 #7 g_hash_table_foreach at ghash.c:1524
 #8 nm_ap_new_from_properties at nm-wifi-ap.c:521
 #9 supplicant_iface_new_bss_cb at nm-device-wifi.c:2013
 #10 _nm_marshal_VOID__STRING_POINTER at nm-marshal.c:589
 #15 signal_new_bss at nm-supplicant-interface.c:232
 #16 handle_new_bss at nm-supplicant-interface.c:342
 #17 _nm_marshal_VOID__STRING_BOXED at nm-marshal.c:437
 #18 marshal_dbus_message_to_g_marshaller at dbus-gproxy.c:1734

Potential duplicate: bug 902433
Comment 1 vagner 2013-05-16 22:52:49 EDT
Created attachment 749140 [details]
File: backtrace
Comment 2 vagner 2013-05-16 22:52:53 EDT
Created attachment 749141 [details]
File: cgroup
Comment 3 vagner 2013-05-16 22:52:55 EDT
Created attachment 749142 [details]
File: dso_list
Comment 4 vagner 2013-05-16 22:52:58 EDT
Created attachment 749143 [details]
File: environ
Comment 5 vagner 2013-05-16 22:53:02 EDT
Created attachment 749144 [details]
File: limits
Comment 6 vagner 2013-05-16 22:53:09 EDT
Created attachment 749145 [details]
File: maps
Comment 7 vagner 2013-05-16 22:53:12 EDT
Created attachment 749146 [details]
File: open_fds
Comment 8 vagner 2013-05-16 22:53:15 EDT
Created attachment 749147 [details]
File: proc_pid_status
Comment 9 vagner 2013-05-16 22:53:18 EDT
Created attachment 749148 [details]
File: smolt_data
Comment 10 vagner 2013-05-16 22:53:21 EDT
Created attachment 749149 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-07-03 18:06:20 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Dan Williams 2013-07-22 15:41:37 EDT
I've tested the function in question with all possible values and I can't see how this assert would trigger...  If you get this again, please re-open.

Note You need to log in before you can comment on or make changes to this bug.